using System;

internal sealed class Delegate52 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate52 delegate52_1)
	{
		return delegate52_1(object_0);
	}

	public extern Delegate52(object object_0, IntPtr intptr_0);

	static Delegate52()
	{
		Class10.smethod_13(typeof(Delegate52).TypeHandle);
	}

	internal static Delegate52 delegate52_0;
}
